Support » Plugin: Google Analytics Dashboard Plugin for WordPress by MonsterInsights » When combine .js files is used with “WP Fastest Cache” website breaks

Viewing 6 replies - 1 through 6 (of 6 total)
  • Hi,
    I’ve faced the same problem with Autoptimize plugin and this is being caused by google-analytics-for-wordpress/assets/js/frontend.min.js this file only. This problem wasn’t there before, but from the last update this problem is happening.

    Also this js file has an error which I think got overlooked during the testing of the latest public version. See: http://puu.sh/uWGHK/6269f6743f.png

    I will request the dev team to fix the error with the frontend.min.js file and also make sure the plugin works fine with the popular minification plugins like autoptimize.

    Thanks.

    Thanks Saumya. We’re having the same problem and have a site scheduled to go live today.

    Is there any way to revert to the previous version, which did work?

    Kind regards,

    Ted Stresen-Reuter

    The error we are seeing is:

    SyntaxError: Unexpected token '='. Expected a ':' following the property name 'hitType'.

    in frontend.min.js

    Can we just dequeue this file? Based on the name, I don’t think it’s anything we useā€¦

    Use this workaround to stop the error (but it might also introduce other errors or change functionality):

    1. delete frontend.min.js
    2. copy frontend.js to frontend.min.js
    3. Edit starting on line 392
    4. Change instances of ‘=’ to ‘:’

    Thus this:

    hitType       = 'event',
    eventCategory = 'outbound-link',
    eventAction   = link,
    eventLabel    = valuesArray.title,
    hitCallback   = __gaTrackerHitBack,

    becomes this:

    hitType       : 'event',
    eventCategory : 'outbound-link',
    eventAction   : link,
    eventLabel    : valuesArray.title,
    hitCallback   : __gaTrackerHitBack,

    How did this pass QA?

    • This reply was modified 2 years, 7 months ago by  tedmaster.

    @tedmaster,
    QA?
    What QA?

    I don’t want to be rude, but I see NO QA when I see this…

    – 6.0.14, March 1, 2017
    – 6.0.15, March 7, 2017
    – 6.0.16, March 7, 2017

    and this…

    – 6.1.0, March 22, 2017
    – 6.1.1 – 6.1.3 (depending on which version of MI you have), March 22, 2017
    – 6.1.4, March 23, 2017
    – 6.1.5, March 24, 2017

    This is the “correct” QA…
    Q: Looking for another plugin?
    A: Yes

    Google Analytics for WordPress by MonsterInsights v.6.1.5 fixes the issue.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘When combine .js files is used with “WP Fastest Cache” website breaks’ is closed to new replies.